httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Morris Mizrahi" <mmizr...@zonelabs.com>
Subject [users@httpd] problem using Apache 2.0 without Kerberos
Date Wed, 18 May 2005 20:22:02 GMT
Hey everyone.

 

I am using Apache httpd 2.0.54 with openssl 0.9.7g. 

I am trying to configure and compile Apache 2.0 so that it works WITHOUT
the kerberos libraries (that are normally located at /usr/kerberos). 

 

When I configure openssl I use the -DOPENSSL_NO_KRB5 option. I then
configure and compile Apache.
 
When I try and start Apache, httpd -k start, the error message I get is:

 

/usr/local/httpd-2.0.54/.libs/lt-httpd: error while

loading shared libraries: libgssapi_krb5.so.2: cannot

open shared object file: No such file or directory
 
I know that libgssapi_krb5.so.2 normally resides at
/usr/kerberos/lib/libgssapi_krb5.so.2
 
Does anyone know what may be the problem with configuring and compiling
Apache to not use the kerberos libraries?
 
Thanks very much for any help.
 
Sincerely,
            Morris
 

Mime
View raw message